import { ActivityInfoEntity } from "../entities/activity_info_entity";
import { StateEntity } from "../entities/state_entity";
import { TownEntity } from "../entities/town_entity";

export interface StateDataSource {
    getStates(): Promise<StateEntity[]>;
    getTowns(stateId: number): Promise<TownEntity[]>;
    getTownActivities(townId: number): Promise<ActivityInfoEntity[]>;
    getActivityInfo(activityId: number): Promise<ActivityInfoEntity | undefined>;
}